diff -Naur Doomsday Data Files.old/ai/sov_1936.ai Doomsday Data Files/ai/sov_1936.ai
--- Doomsday Data Files.old/ai/sov_1936.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/sov_1936.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,55 +1,60 @@
-# Soviet 1936 AI File by Lothos
-
-switch = no # [yes/no]
-max_front_ratio = 1.2 
-max_front_ratios = {
-	JAP = 1.0 
-	MAN = 1.0
-}
-max_garrison_prop = 0.30
-min_garrison_prop = 0.20
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no
+max_front_ratio = 2.0
+max_garrison_prop = 0.75
+min_garrison_prop = 0.25
 neutrality = 120.000 
 war = 0
-strat_redeploy_threshold = 50
-max_redeploying = 0.05
+reinforcement = 0.01
+upgrading = 0.0
+desperation = 0.9
+strat_redeploy_threshold = 91
 exp_force_ratio = 0.10
-exp_force_ratios = { } 
-no_exp_forces_to = { }
+use_offensive_supply = no
+max_fuel_offensive = 1
 
 ###################################
 # Diplomacy
 ###################################
-combat = { }
-
 claim_acceptance = -49
 
-# Special resistance against "influence" by the listed nations. Value range = [0 - 10]  
-resistance = {  
-	GER = 1 
-	ENG = 2
-	FRA = 2
-	USA = 2
-	JAP = 2
-}
 demand_claims = {
-	EST
-	LAT
-	ROM
-	LIT
-	FIN
 }
+
 befriend = {
-	ENG = 10
-	ROM = 50
-	BUL = 40 
-	TUR = 60 
-	POL = 20 
-	YUG = 40
-	PER = 60 
-	SPR = 100
-	MON = 100
-	TAN = 100
+	JAP = -10
+	MAN = -10
+	CHI = -10
+	MON = -10
+	TAN = -10
+	SIK = -10
+	AFG = -10
+	PER = 50
+	TUR = -10
+	ROM = -10
+	BUL = -10
+	POL = -10
+	LIT = -10
+	LAT = -10
+	EST = -10
+	FIN = -10
+	NOR = -10
+	SWE = -10
+	GER = -10
+	SLO = -10
+	HUN = -10
+	CSX = -10
+	CXB = -10
+	CYN = -10
+	CGX = -10
+	CHC = -10
+	MEN = -10
+	SPR = -10
 }
+
 protect = {
 	PER = 80 
 	ROM = 80 
@@ -63,40 +68,8 @@
 	MON = 50
 	AFG = 50
 }
-target = { 
-	#Tannu Tuva
-	1318 = 150 # Kyzyl
-
-	#Finland
-	145 = 100 # Viipur
-	146 = 100 # Sortavalo
-
-	#Estonia
-	193 = 90 # Narva
-	195 = 90 # Tartu
-	194 = 90 # Tallin
-	196 = 90 # Parnu
-
-	#Latvia
-	198 = 80 # Gulbene
-	197 = 80 # Riga
-	202 = 80 # Dagaupulis
-	203 = 80 # Jekapils
-	204 = 80 # Jelgava
-	205 = 80 # Mazirbe
-
-	#Lithuania
-	207 = 70 # Kaunas
-	577 = 70 # Siauliau
-	511 = 70 # Alytus
-
-	#Romania
-	230 = 50 # Beltsy
-	434 = 50 # Tiraspol
-} 
-trade = {
-	cancel_deal_threshold = 2
 
+trade = {
 	energy 		= -1
 	rare_materials 	= -1
 	metal 		= -1
@@ -105,514 +78,253 @@
 	money 		= -1
 
 	favored = {
-		GER = 80
-		SWE = 20
+		BUL = 50
 		ITA = 50
-		SPR = 60
-		BUL = 40
-		YUG = 40
-		TUR = 50
-		ROM = 30
-		JAP = 40
+		JAP = 50
+		ROM = 50
+		YUG = 50
+		GER = 75
+		SPR = 75
+		MON = 100
+		TAN = 100
 	}
 	embargo = { }
 }
-tech_sharing = {
-	favored = {
-		GER = 20
-		SWE = 20
-		ITA = 50
-		SPR = 60
-		BUL = 40
-		YUG = 40
-		TUR = 50
-		ROM = 30
-		JAP = 20
-	}
-	embargo = { }
-	not = { }
-	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-
-		# Motorized
-		1230 = 100
-		1240 = 100
-		1250 = 100
-
-		# CAS
-		4170 = 100
-		4280 = 100
-		4180 = 100
-
-		# Medium tanks
-		2070 = 100
-		2080 = 100
-		2090 = 100
-
-		# Light tanks
-		2020 = 100
-		2030 = 100
-		2040 = 100
-		2050 = 100
-		2060 = 100
-
-		# Mechanized
-		1260 = 100
-		1270 = 100
-		1280 = 100
-		1290 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 5
-		counter_espionage =  10
-		country = SOV
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 10
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 2
-		smear_campaign 		= 2
-		coup 				= 1
-		sabotage_industry 	= 10
-		nuclear_sabotage 	= 0
-		found_partisans		= 2
-		massmedia 			= 2
-		counter_espionage 	= 5
-		disrupt_techteam 	= 4
-		country 			= GER
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 10
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 2
-		coup 				= 1
-		sabotage_industry 	= 3
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 2
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= USA
-	}
-	spyprefsdata = {
-		country_priorities	= 6
-		NumberOfSpies		= 6
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 2
-		coup 				= 1
-		sabotage_industry 	= 3
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 2
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= ENG
-	}
-	spyprefsdata = {
-		country_priorities	= 6
-		NumberOfSpies		= 6
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 2
-		coup 				= 1
-		sabotage_industry 	= 3
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 2
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= JAP
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 4
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 1
-		coup 				= 3
-		sabotage_industry 	= 1
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= TUR
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 4
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 1
-		coup 				= 3
-		sabotage_industry 	= 1
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= FIN
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 4
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 1
-		coup 				= 3
-		sabotage_industry 	= 1
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= POL
-	}
-}
+
 ###################################
 # Construction and Tech Research
 ###################################
-#Default values
 construction = { 
-	max_factor = 1.00
+	max_factor = 1.000
 
 	AA_batteries = no
-	max_AA_level = 3
-	AA_provs = {
-		187 # Leningrad
-		175 # Moscow
-		238 # Kiev
-		235 # Dnepropetrovsk
-		163 # Stalingrad
-		248 # Kharkov
-		277 # Bryansk
-		1574 # Chelyabinsk
-		1372 # Vladivostock
-	} 
+	max_AA_level = 0
+	AA_provs = { } 
 
 	coastal_fort = no
-	max_coastal_level = 3
-	coastal_fort_provs = {
-		187 # Leningrad
-	} 
+	max_coastal_level = 0
+	coastal_fort_provs = { } 
 
 	radar_station = no 
-	max_radar = 5 
+	max_radar = 0
 	radar_provs = { } 
 
 	air_base = no
-	max_air_base = 2
+	max_air_base = 0
 	air_base_provs = { }
 
 	naval_base = no 
-	max_naval_base = 5 
+	max_naval_base = 0
 	naval_base_provs = { } 
 
 	land_fort = no
-	max_land_level = 2
+	max_land_level = 0
 	fort_borders = { } 
 
 	ic_at_war = yes 
-	force_ic_until = 1939
-	ic_end_year = 1939
+	force_ic_until = 1937
+	ic_end_year = 1937
 	IC_provs = {
-		163 # Stalingrad
-		168 # Gorki
-		175 # Moscow
-		177 # Danilov
-		178 # Yaroslavl
-		187 # Leningrad
-		1150 # Osa
-		1151 # Molotov
-		1416 # Irkutsk
-		1544 # Tomsk
-		1547 # Barnaul
-		1548 # Novosibirsk
-		1550 # Semipalatinsk
-		1552 # Omsk
-		1560 # Krasnoyarsk
-		1561 # Achinsk
-		1566 # Berezniki
-		1567 # Ufa
-		1569 # Gurjev
-		1571 # Serov
-		1572 # Sverdlovsk
-		1573 # NicnijTagil
-		1574 # Ghelyabinsk
-		1575 # Kurgan
-		1577 # Orsk
-		1592 # Petropavlovsk
-		1593 # Tyumen
-		1832 # Saratov
-		1830 # Syzran
-		1839 # Novouzensk
-		1827 # Naberezhnye Chelny
+		1384
+		1416
+		1417
+		1427
+		1485
+		1487
+		1489
+		1490
+		1491
+		1520
+		1544
+		1547
+		1548
+		1549
+		1550
+		1551
+		1552
+		1553
+		1556
+		1557
+		1558
+		1560
+		1561
+		1571
+		1573
+		1575
+		1580
+		1582
+		1586
+		1592
+		1593
 	} 
 }
 
 military = { 
-	relative_build_scheme 	= no
-	max_batch_peace 		= 360 
-	max_batch_war 			= 180 
-	max_batch_home_front 	= 180
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 270
+	max_batch_war 		= 270
+	max_batch_home_front 	= 270
 
 	#### Divisions etc...
-	infantry 	= 49
+	infantry 	= 100
 	cavalry 	= 0
-	motorized 	= 8
+	motorized 	= 0
 	mechanized 	= 0
-	light_armor = 8
+	light_armor 	= 0
 	armor 		= 0
-	paratrooper = 0
+	paratrooper 	= 0
 	marine 		= 0
-	bergsjaeger = 0
-	garrison	= 2
-    hq 			= 4
+	bergsjaeger 	= 0
+	garrison	= 0
+      	hq 		= 0
 	militia 	= 0
-#				71 %
-	interceptor 	= 6
-	multi_role 		= 2
-	cas 			= 4
+#				100 %
+	interceptor 	= 0
+	multi_role 	= 0
+	cas 		= 0
 	strategic_bomber = 0
-	tactical_bomber = 2
+	tactical_bomber = 0
 	naval_bomber 	= 0
 	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				14 %
-	battleship 		= 1
-	carrier 		= 0
+#				0 %
+	battleship 	= 0
+	carrier 	= 0
 	escort_carrier	= 0
-	destroyer 		= 3
-	light_cruiser 	= 3
-	heavy_cruiser 	= 1
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
 	battlecruiser 	= 0
-	submarine 		= 5
-	nuclear_submarine = 0
-	transports 		= 2
-#				15 %
+	submarine 	= 0
+	transports 	= 0
+#				0 %
 
 	#### Brigades
-	artillery 			= 16
-	sp_artillery 		= 5
-	rocket_artillery	= 4 
-	sp_rct_artillery 	= 4
-	anti_tank 			= 10
-	tank_destroyer 		= 4
-	light_armor_brigade = 3
-	heavy_armor 		= 6
+	artillery 		= 0
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
 	super_heavy_armor 	= 0
 	armored_car 		= 0
-	anti_air 			= 6
-	police 				= 0
-	engineer 			= 5 
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 0
 
 	cag = 100.000 
 }
 
-technology = { 
-	endgoal 	= { } 
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
 	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Arcriculture
-		5020 5030 5040
-
-		# Inf support
-		1310 1320 1330 1340 1350 1360
-
-		# Motorized
-		1230 1240 1250
-
-		# Fighter
-		4040 4070 4100
-
-		# CAS
-		4170 4280 4180
-
-		# Medium tanks
-		2070 2080 2090
-
-		# Light tanks
-		2020 2030 2040 2050 2060
-
-		# Naval Doctrines
-		8120 8130 8310 8190 8160 8330 8200
-
-		# Air Doctrines
-		9090 9050 9060 9100 9110 9120 9140 9070 9080 9130 9150 9190 9200 9210 9220 9240 9260 9270 9280 9310 9320 9330 9350
-	} 
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
 	ignore 		= {
-		# Ship & Rocket Assembly
-		5150 5170
-		
-		# Marines
-		1150 1160 1170 1180
-
-		# Airborne
-		1070 1080 1090 1100
-
-		# Air Transports 
-		4250 4260 4270
-
-		# Strategic bombers
-		4220 4230 4240
-
-		# Mountain Unit techs
-		1110 1120 1130 1140
-		
-		# Mechanized
-		1260 1270 1280 1290
-
-		# Naval Bomber
-		4190 4200 4210
-
-		# Battle Cruiser
-		3190 3200 3210 3220 3230 3240
-
-		# Carrier 
-		3320 3330 3340 3350 3360 3370 3380 3390
-
-		# Light Carrier
-		12100 12110 12120 12130 12140 12150
-
-		# Armoured Cars
-		2150 2160
-
-		# Static Anti-Air
-		2450 2460 2470 2480 2490 2500
-
-		# Strategic Air Doctrines 9140
-		9150 9160 9170 9180 9430 9440 9450 9460
-		
-		# Land Doctrines
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1340 1350 1360 # Repair shops
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2450 2460 2470 2480 2490 2500 11080 # Static Anti-Air
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		4040 4070 4100 15030 15040 15050 # Fighters
+		4190 4200 4210 15140 15150 # Naval Bombers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5150 5170 # Ship + Rocket Assembly Lines
+		5410 5420 5430 5440 5450 5460 13030 # Radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
 		14080 # Guerilla Warfare
 	}
- 
+
 	armor 		= 8
-	infantry 	= 8
-	industry 	= 6
-	aircraft 	= 3
-	naval 		= 1
-	land_doctrines 	= 2
+	infantry 	= 9
+	industry 	= 5
+	aircraft 	= 4
+	naval 		= 0
+	land_doctrines 	= 4
 	secret_weapons 	= 1
 	air_doctrines 	= 1
-	naval_doctrines = 1
-}  
+	naval_doctrines = 0
+}
 
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = no
 	home_multiplier 	= 1.0
 	overseas_multiplier 	= 0.5
-	home_peace_cap 		= 20
+	home_peace_cap 		= 101
 	war_zone_odds 		= 2.0
 	key_point_prio_mult	= 1.0
 	revolt_risk_mult	= 1.0
 
 	# PRIORITIES:
-	beach			= 0	# Beach level 2
-	capital			= 40	# Our capital
-	human_border	= 0	# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
-	reserves 		= 40
+	beach			= 10	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
 	
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
@@ -626,242 +338,96 @@
 		CHI = -1
 		AFG = -1
 		PER = 10
-		TUR = 20
-		FIN = 15
+		TUR = 10
+		FIN = 10
+		NOR = 10
+		JAP = 20
+		MAN = 20
 		ROM = 100
 		POL = 100
 		GER = 100
-		ITA = 50
-		JAP = 20
-		MAN = 20
-		SWE = 20
-		NOR = 20
-		HUN = 15
-		SLO = 15
-		BUL = 15
+		HUN = 100
 	}
 	province_priorities = {
-		187 = 50 # Leningrad
-		238 = 50 # Kiev
-		235 = 50 # Dnepropetrovsk
-		163 = 50 # Stalingrad
-		248 = 50 # Kharkov
-		277 = 50 # Bryansk
-		1372 = 50 # Vladivostock
-		133 = 50 # Murmansk
-	}
-	ignore = {
-		205 # Mazirbe (German Border easy surround hex)
-                1175 # Ocha (Bordering Japan, unimportant)
-                1172 # Petrothingie (USSR putting units here, don't know why, far east mountain)
-	}
-	area_multiplier = {
-		133 = 1.2 # Murmansk
+		187 = 60
+		163 = 60
+		175 = 80
+		238 = 80
+		1907 = 40
+		1572 = 40
 	}
+	ignore = { }
+	area_multiplier = { }
 }
 front = { 
 	recklessness 		= 1 # 0-3
 	distrib_vs_ai 		= even
-	distrib_vs_human 	= even
+	distrib_vs_human 	= op_defensive
 
-	enemy_reinf_days	= 6
-	reserve_prop		= 0.1
-	panic_ratio_vs_ai	= 2.0
-	panic_ratio_vs_human	= 2.0
-	base_attack_odds	= 1.3
-	min_attack_odds		= 1.1
-	max_attack_odds		= 3.0
+	enemy_reinf_days	= 3
+	reserve_prop		= 0.2
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.5
+	min_attack_odds		= 1.2
+	max_attack_odds		= 4.0
 	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	withdraw_odds		= 0.9
+
+	support_defense_prop = 0.5
 
 	strength 	= 1.0
-	organisation 	= 1.0
+	organisation 	= 2.0
 	soft_attack 	= 1.0
-	hard_attack 	= 1.0
+	hard_attack 	= 2.0
 	ground_defense 	= 1.0
-	dig_in 		= 1.0 # Against defender
-
-	frozen_attack 	= 1.0
-	snow_attack 	= 1.0
-	blizzard_attack = 1.0
-	storm_attack 	= 1.0
-	muddy_attack 	= 1.0
-
-	
-	
-	occupied 	= 0.7
-	owned 		= 0.7
-
-	jungle_attack 	= 1.0
-	mountain_attack = 1.0
-	swamp_attack 	= 1.0
-	forest_attack 	= 1.0
-	hill_attack 	= 1.0
-	urban_attack 	= 1.0
-	river 		= 1.0
+	dig_in 		= 1.25 # Against defender
 
       	enemy_handicap = {
-		JAP = 20
-		MAN = 20
 	} 
       	passivity = {
-		JAP = 70
-		MAN = 70
-	}
+	} 
 	province_priorities = {
-		187  = 6.0 # Leningrad
-		238  = 6.0 # Kiev
-		235  = 6.0 # Dnepropetrovsk
-		163  = 6.0 # Stalingrad
-		248  = 6.0 # Kharkov
-		277  = 6.0 # Bryansk
-		1372 = 6.0 # Vladivostock
-		113  = 6.0 # Murmansk
-		253  = 6.0 # Sevastopool
-		258  = 6.0 # Rostov
-		219  = 6.0 # Smolensk
-		175  = 9.0 # Moscow
-		243  = 6.0 # Kursk
+		163 = 2.5
+		175 = 2.5
+		187 = 2.5
+		238 = 2.5
 	}
 } 
-###################################
-# Air bombardment and defense
-###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
 
-air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
+tech_sharing = {
+	favored = {
+		TAN = 200
+		MON = 200
+	}
 }
+
 ###################################
 # Invasions and Naval
 ###################################
 invasion = { 
- 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random		= 8.0	#How big a random range.  (1.0 = 1%)
-	coastal		= 0.1	#increase to avoid coastal forts more.
-	beach		= 0.1	#higher, avoid worst beaches.
-	distance	= 0.1	#higher = avoid long distance.
-	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
-	island		= 0.1	#prioritise taking pure islands.
-	enemy		= 2.0	#higher = much more vary of troops in province.
-	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
-	air_base	= 1.5 
-      	naval_base 	= 0.1 
-      	air_support 	= 3.0 
-      	redirect 	= priority
-	ignore		= no
+	ignore		= no 
+	invasion	= no
       
-	target = { 
-		#Norway
-		107 = 4000 # Oslo
-		108 = 4000 # Kristiansan
-		109 = 4000 # Stavanger
-		110 = 4000 # Bergen
-		125 = 4000 # Narvik
-		117 = 3750 # Alesund
-		118 = 3750 # Trondheim
-		124 = 3750 # Mo I Ran
-
-		#Sweden
-		106 = 4000 # Amal
-		98  = 4000 # Goterborg
-		93  = 4000 # Malmo
-		97  = 4000 # Jonkoping
-		100 = 3750 # Norrkoping
-		101 = 3750 # Stockholm
-		102 = 3750 # Uppsala
-		114 = 3750 # Gavle
-		120 = 4000 # Sundsuall
-		122 = 4000 # Umea
-		127 = 4000 # Lulea
-
-		#Finland
-		142 = 2000 # Helsinki
-		141 = 2000 # Turku
-		140 = 2000 # Pori
-		138 = 2000 # Vaasa
-		137 = 1750 # Oulu
-		131 = 1750 # Tornio
-	} 
+	target = { } 
 } 
-admiral = { 
-	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
-	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
-	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
-	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
-
-	#Which provinces to use as bases..
-	base = {
-		187	# Leningrad
-		253	# Sevastopool
-		133	# Murmansk
-		154	# Archangel
-		1372	# Vladivostok
-		1848	# Batum
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = SOV
 	}
-	target = {
-		2382 = 200
-		2385 = 200
-		2386 = 150
-		2601 = 150
-		2482 = 200
-		2483 = 200
-		2467 = 200
-		2466 = 150
-		2215 = 50
-		2216 = 50
-		2217 = 25
-		2218 = 25
-	} 
-	core = {
-		2468
-		2484
-		2384
-		2381
-		2383
-		2191
-	} 
-}
\ No newline at end of file
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
